Skip to main content
GET
/
api
/
hooks
/
{hookId}
Get single webhook.
curl --request GET \
  --url https://{tenant}/api/hooks/{hookId} \
  --header 'Authorization: Bearer <token>'
{
  "api_model": {},
  "event_timeout": 0,
  "header_map": {
    "secret": "superscretkey",
    "x-auth": "authvalue"
  },
  "id": "363634393863643165326663643130303031383465636239",
  "method": "POST",
  "name": "Expired Keys webhook",
  "org_id": "5e9d9544a1dcd60001d0ed20",
  "target_path": "https://httpbin.org/expired-keys",
  "template_path": "",
  "webhook_id": "1f78e319202b430e92286cff3ca759e3"
}

Documentation Index

Fetch the complete documentation index at: https://tyk.io/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The Tyk Dashboard API Access Credentials

Path Parameters

hookId
string
required

ID of the webhook to fetch.

Response

Webhook fetched.

method
string
required
Example:

"POST"

target_path
string
required
Example:

"https://httpbin.org/expired-keys"

api_model
object
event_timeout
integer<int64>
Example:

0

header_map
object
Example:
{
"secret": "superscretkey",
"x-auth": "authvalue"
}
id
string
Example:

"664b613f5715ec4c96cbef3e"

name
string
Example:

"Expired Keys webhook"

org_id
string
Example:

"5e9d9544a1dcd60001d0ed20"

template_path
string
Example:

"templates/default_webhook.json"

webhook_id
string
Example:

"1f78e319202b430e92286cff3ca759e3"